Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model.message
Enum UpnpMessage.BodyType

    java.lang.Object
      java.lang.Enum<UpnpMessage.BodyType>
          org.teleal.cling.model.message.UpnpMessage.BodyType

All Implemented Interfaces:
  Serializable, Comparable<UpnpMessage.BodyType>

Enclosing class:
  UpnpMessage<O extends UpnpOperation>

    public static enum UpnpMessage.BodyType

extends Enum<UpnpMessage.BodyType>

Enum Constant Summary
`BYTES`
`STRING`

Method Summary
`static UpnpMessage.BodyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UpnpMessage.BodyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final UpnpMessage.BodyType STRING

### BYTES

    public static final UpnpMessage.BodyType BYTES

Method Detail

### values

    public static UpnpMessage.BodyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UpnpMessage.BodyType c : UpnpMessage.BodyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UpnpMessage.BodyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.